# Test devices API

## createTestDevice

एप्लिकेशन के लिए एक टेस्ट डिवाइस रजिस्टर करता है।

`POST` `https://api.pushwoosh.com/json/1.3/createTestDevice`

#### Request Body

| Name | Type | Description |
| --- | --- | --- |
| application\* | string | [Pushwoosh एप्लिकेशन कोड](/hi/developer/api-reference/api-identifiers/#application-code) |
| push\_token\* | string | डिवाइस का [Push token](/hi/developer/api-reference/api-identifiers/#push-token)। |
| device\_type\* | integer | [Device type](/hi/developer/api-reference/api-identifiers/#device-type)। `/registerDevice` विधि में संभावित मान देखें। |
| name\* | string | टेस्ट डिवाइस का नाम। |
| description | string | टेस्ट डिवाइस का विवरण। |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": null
}
```
</TabItem>
</Tabs>

```json title="Example"
{
  "request": {
    "application": "XXXXX-XXXXX",        // आवश्यक। Pushwoosh एप्लिकेशन कोड
    "push_token": "DEVICE_PUSH_TOKEN",   // आवश्यक।
    "device_type": 1,                    // आवश्यक। डिवाइस प्रकारों के लिए /registerDevice देखें
    "name": "TEST_DEVICE_1",             // आवश्यक। टेस्ट डिवाइस का नाम
    "description": "android test device" // वैकल्पिक। टेस्ट डिवाइस का विवरण
  }
}
```

## listTestDevices

विशिष्ट एप्लिकेशन के लिए सभी टेस्ट डिवाइसेस लौटाता है।

`POST` `https://api.pushwoosh.com/json/1.3/listTestDevices`

#### Request Body

| Name | Type | Description |
| --- | --- | --- |
| auth\* | string | Pushwoosh कंट्रोल पैनल से [API access token](/hi/developer/api-reference/api-identifiers/#api-access-token)। |
| application\* | string | [Pushwoosh एप्लिकेशन कोड](/hi/developer/api-reference/api-identifiers/#application-code) |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "TestDevices": [{
      "name": "iosDevice",
      "type": "1",
      "pushtoken": "token",
      "description": "ios device"
    }]
  }
}
```
</TabItem>
</Tabs>

```json title="Example"
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H", // आवश्यक। Pushwoosh कंट्रोल पैनल से API access token
    "application": "XXXXX-XXXXX"    // आवश्यक। Pushwoosh एप्लिकेशन कोड
  }
}
```

डिवाइस प्रकारों के लिए [`/registerDevice`](/hi/developer/api-reference/device-api/#registerdevice) देखें।